import java.applet.*;
import java.awt.*;
import JSci.Version;

/**
* Displays JSci version information.
* @author Mark Hale
*/
public final class JSciVersion extends Applet {
        public String getAppletInfo() {
                return "JSci Applet: written by Mark Hale";
        }
        public void paint(Graphics g) {
                final String str="Version  "+Version.getMajorVersion()+"."+Version.getMinorVersion();
                int xpos=(getSize().width-g.getFontMetrics().stringWidth(str))/2;
                g.setFont(new Font("H3",Font.BOLD,20));
                g.drawString(str,xpos,20);
        }
}

